﻿package 
{
	import flash.display.Sprite;
	import flash.display.StageDisplayState;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 230;
		private var counter:Number = 0;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage(stage.stageWidth,stage.stageHeight);
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
		}
		
		private function fullhandler(e:FullScreenEvent):void
		{
			graphics.clear();
			drawStage(mouseX,mouseY);
			eraseAll();
		}
		
		private function double_handler(e:MouseEvent):void
		{
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point(stage.stageWidth,stage.stageHeight);
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		private function drawStage(Xmouse:Number, Ymouse:Number):void
		{	
			Xmouse = mouseX;
			Ymouse = mouseY;
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 0;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	private var sW:Number;
	private var sH:Number;
	public function Point(Xmouse:Number,Ymouse:Number):void
	{
		r1 = Math.random()*Xmouse/2;
		r2 = Math.random()*Ymouse/2;
		sW = Xmouse;
		sH = Ymouse;
		orientation = Math.round(1-Math.random()*2);
		if(orientation ==0){orientation++;}
		graphics.beginFill(0x000000,.8);
		graphics.drawCircle(0,0,5);
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		
		x = sW/2 + Math.cos(angle*Math.PI/40)*r1
		y = sH/2 - Math.sin(angle*Math.PI/60)*r2*orientation;
		angle++;
	}
}